LibreOffice: XServiceTypeDescription2 Interface Reference

LibreOffice LibreOffice 26.2 SDK API Reference

Loading...
Searching...
No Matches
XServiceTypeDescription2 Interface Reference

Reflects a service, supporting single-interface–based services. More...

`import "XServiceTypeDescription2.idl";`

Inheritance diagram for XServiceTypeDescription2:

## Public Member Functions
boolean | isSingleInterfaceBased ()
| Returns whether this object reflects a single-interface–based service.
XTypeDescription | getInterface ()
| Returns the interface type associated with the service.
sequence< XServiceConstructorDescription > | getConstructors ()
| Returns the constructors of the service.
Public Member Functions inherited from XServiceTypeDescription
sequence< XServiceTypeDescription > | getMandatoryServices ()
| Returns the type descriptions of the mandatory services defined for this service.
sequence< XServiceTypeDescription > | getOptionalServices ()
| Returns the type descriptions of the optional services defined for this service.
sequence< XInterfaceTypeDescription > | getMandatoryInterfaces ()
| Returns the type descriptions of the mandatory interfaces defined for this service.
sequence< XInterfaceTypeDescription > | getOptionalInterfaces ()
| Returns the type descriptions of the optional interface defined for this service.
sequence< XPropertyTypeDescription > | getProperties ()
| Returns the properties defined for this service.
Public Member Functions inherited from XTypeDescription
com::sun::star::uno::TypeClass | getTypeClass ()
| Returns the type class of the reflected UNOIDL entity.
string | getName ()
| Returns the fully qualified name of the UNOIDL entity.
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.

## Detailed Description

Reflects a service, supporting single-interface–based services.

This type supersedes XServiceTypeDescription, which only supports obsolete, accumulation-based services.

Since
  OOo 2.0

## Member Function Documentation

## ◆ getConstructors()

sequence< XServiceConstructorDescription > getConstructors | ( |  | ) |

Returns the constructors of the service.

Returns
  the reflections of all constructors of the service, in no particular order

## ◆ getInterface()

XTypeDescription getInterface | ( |  | ) |

Returns the interface type associated with the service.

Returns
  the reflection of the interface type associated with the service (of type com::sun::star::reflection::XInterfaceTypeDescription or, in case of a typedef, com::sun::star::reflection::XIndirectTypeDescription), for a single-interface–based service; for an obsolete, accumulation-based service, NULL is returned

## ◆ isSingleInterfaceBased()

boolean isSingleInterfaceBased | ( |  | ) |

Returns whether this object reflects a single-interface–based service.

Returns
  TRUE if this object reflects a single-interface–based service, and FALSE if this object reflects an obsolete, accumulation-based service

The documentation for this interface was generated from the following file:

- com/sun/star/reflection/XServiceTypeDescription2.idl